#
# spec file for package abuild-online-update
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           abuild-online-update
Summary:        Simple script to execute online updates automatically
License:        BSD-4-Clause
Group:          System/Monitoring
Version:        1.1
Release:        3.1
Source1:        suse.de-%{name}
Source2:        %{name}.sysconfig
Source3:        %{name}.logrotate
Source4:        %name-README.SuSE
PreReq:         %fillup_prereq
Requires:       cron
Requires:       logrotate
Requires:       mailx
Requires:       zypper
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if ! %{defined _fillupdir}
  %define _fillupdir %{_localstatedir}/adm/fillup-templates
%endif

%description
This package contains a simple script installing all non-interactive 
online updates automatically via daily cronjob.

Author: 
-------
    Lars Vogdt

%prep

%build

%install
mkdir -p %buildroot/%{_sysconfdir}/cron.daily
mkdir -p %buildroot%{_fillupdir}
install -m755 %{SOURCE1} %buildroot/%{_sysconfdir}/cron.daily/suse.de-%{name}
install -m644 %{SOURCE2} %buildroot%{_fillupdir}/sysconfig.%{name}
install -Dm644 %{SOURCE3} %buildroot/%{_sysconfdir}/logrotate.d/%name
install -Dm644 %{SOURCE4} %buildroot/%{_defaultdocdir}/%{name}/README.SuSE

%clean
rm -rf %buildroot

%post
%{fillup_only %name}

%files
%defattr(-, root, root)
%doc %{_defaultdocdir}/%{name}
%config %{_sysconfdir}/cron.daily/suse.de-%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%name
%{_fillupdir}/sysconfig.%{name}

%changelog
* Mon Mar  5 2018 ro@suse.de
- use fillupdir macro
* Mon Mar 20 2017 ro@suse.de
- include optional updates
* Thu Feb 26 2015 lrupp@suse.de
- fix TMPDIR != TMPFILE test in cleanup
* Tue Jul 22 2014 ro@suse.de
- fix license entry in specfile
* Sun Feb 24 2013 lrupp@suse.com
- update to 1.1:
  + cleanup left overs from update checks in /tmp and /var/tmp
* Fri Oct 30 2009 lrupp@suse.de
- initial version 1.0
